v20260417-cdbbd85

Changed

This release introduces cursor-based pagination and an object return for paginated endpoints for the following endpoints:

  • get /api/v2/market_data/stocks/
  • get /api/v2/market_data/stocks/splits
  • get /api/v2/market_data/stocks/{stock_id}/splits
  • get /api/v2/entities/
  • get /api/v2/entities/{entity_id}/accounts
  • get /api/v2/accounts/{account_id}/interest_payments
  • get /api/v2/accounts/{account_id}]/dividend_payments
  • get /api/v2/accounts/{account_id}/token_transfers
  • get /api/v2/orders/
  • get /api/v2/accounts/{account_id}/orders
  • get /api/v2/accounts/{account_id}/order_fulfillments
  • get /api/v2/accounts/{account_id}/order_requests
  • get /api/v2/accounts/{account_id}/withdrawal_requests
  • get /api/v2/accounts/{account_id}/withdrawals

Page-based pagination will be deprecated on May 29, 2026. To ease transition for current users, the page-based behavior is preserved unless limit is set on the query parameters, which will explicitly trigger the cursor-based pagination.

Refer to the table below for the difference between both:


Page (Previous)Cursor (Next)
Query Parameterspage, page_sizelimit, order, next, previous
Endpoint Returnlistobject
Pagination MethodologyIncrement pageSet next or previous